> For the complete documentation index, see [llms.txt](https://docs.struct.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.struct.com/reference/pim/search.md).

# Search

Search lets you find and filter your way to specific products, variants, and categories.

{% hint style="info" %}
**Tip** For a more in-depth introduction to search, read the following guide: [How to search efficiently](/tutorials/guides/how-to-search-efficiently.md)
{% endhint %}

{% hint style="info" %}
**Tip** For more information about search filter read the following segment: [Search filters](/reference/media/search/search-filters.md)
{% endhint %}

### Create product

1. Click "Create product"

### Switch entity type

1. Click "Categories", "Products", "Variant groups", or "Variants"

### Advanced filter

1. Click "Advanced filter" or (ctrl+shift+r)

### Include archived

1. Click "Include archived" or (ctrl+shift+a)

### Quick export

1. Select the products to export, or leave empty to export all
2. Click "Quick export" or (ctrl+shift+e)

### Swap to table view

1. Click "View as table" or (ctrl+shift+h)

### Swap to grid view

1. Click "View as grid" or (ctrl+shift+g)

### Manage columns

1. Click "Manage columns" or (ctrl+shift+c)
2. Manage columns
3. Click "Update columns"

### Stop fitting columns to screen

1. Click "Stop fitting to screen

### Start inline editing

1. Click "Start inline editing

### Items per page

1. Click the "Items per page"-dropdown
2. Select the products per page

### Page navigation

1. Click the "chevron-left" or "chevron-right" icon

### Select all products

1. Click the checkbox-icon to select all products
2. Or click the "chevron-down"-icon next to it and choose "All on this page" or "None on this page"

### Bulk update

1. Select the products to update
2. Click "Bulk update" or (ctrl+alt+b)
3. Select fields to update
4. Choose operation type and enter the changes
5. Click "Show update report", or confirm changes directly without reviewing
6. Confirm changes

### Bulk export products

1. Select the products to export
2. Click "Export" or (ctrl+alt+e)
3. Select fields to export
4. Click "Start export"

### Bulk translate products

1. Select the products to translate
2. Follow instructions from the AI Assistent

{% hint style="info" %}
Read more about how to use AI-translate here: [How to use AI-translate](/tutorials/guides/how-to-use-ai-translate.md)
{% endhint %}

### Create task with products attached

1. Select the products to attach to a new task
2. Click "Create task" or (ctrl+alt+t)
3. Set task details
4. Click "Create task"

{% hint style="info" %}
For a more thorough introduction to tasks, read the following guide: [How to use Tasks](/tutorials/guides/how-to-use-tasks.md)&#x20;
{% endhint %}

### &#x20;Bulk archive products

1. Select the products to archive
2. Click the "More actions"-icon
3. Click "Archive"
4. Select reason for archiving
5. Select if variants should be archived as well&#x20;
6. Click "Confirm"

### Bulk unarchive products&#x20;

1. Select the archived products to unarchive
2. Click the "More actions"-icon
3. Click "Unarchive"
4. Select if variants should be unarchived as well
5. Click "Confirm"

{% hint style="info" %}
Click "Include archived" or (ctrl+shift+a) to see archived products.
{% endhint %}

### Bulk classify products

1. Select the products to classify
2. Click the "More actions"-icon
3. Click "Classify"
4. Choose action
5. Select categories
6. Click "Confirm"

### Bulk export publications

1. Select the products to export publications for
2. Click the "more actions"-icon
3. Click "Export publications"

#### Export publication configuration

1. Select template to use for rendering
2. Choose size
3. Choose languages
4. Choose product catalogue
5. Click "Build"

### Bulk translate data

1. Select the products to translate
2. Click the "More actions"-icon
3. Click "translate data"
4. Follow instructions from the AI Assistent
5. Click "Go to report" to review

### Bulk generate texts

1. Select the products to generate texts for
2. Click the "More actions"-icon
3. Click "Generate texts"
4. Follow instructions from the AI Assistent
5. Click "Go to report" to review

### Bulk change product structure

1. Select the products to change the product structure for&#x20;
2. Click the "More actions"-icon
3. Click "Change product structure"
4. Select product structure
5. Click "Confirm"

### Bulk restore inheritance

1. Select the products to restore inheritance on
2. Click the "More actions"-icon
3. Click "Restore inheritance"
4. Select fields to restore inheritance for
5. Click "Confirm"

### Bulk merge products

1. Select the products to merge
2. Click the "More actions"-icon
3. Click "Merge"

### Bulk delete products

1. Select the products to delete
2. Click the "More actions"-icon
3. Click "Delete


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.struct.com/reference/pim/search.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
